## org.w3c.jigsaw.pics
Class PICS

    java.lang.Object
      |
      +--org.w3c.jigsaw.pics.PICS

public class PICS
extends java.lang.Object

Field Summary
`static HttpMimeType` | `APPLICATION_PICSLABEL` The PICS mime type
`static HttpBag` | `PICS_EXTENSION` The bag describing the PICS extension:
`static java.lang.String` | `PICS_PROTOCOL_ID` The PICS protocol version that this filter handles.

Constructor Summary
`PICS()`

Method Summary
`static boolean` | `debug()`
`static void` | `setDebug(boolean onoff)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PICS_PROTOCOL_ID

    public static final java.lang.String PICS_PROTOCOL_ID

  The PICS protocol version that this filter handles.

### APPLICATION_PICSLABEL

    public static HttpMimeType APPLICATION_PICSLABEL

  The PICS mime type

### PICS_EXTENSION

    public static HttpBag PICS_EXTENSION

  The bag describing the PICS extension:

Constructor Detail

### PICS

    public PICS()

Method Detail

### debug

    public static boolean debug()

### setDebug

    public static void setDebug(boolean onoff)